Skip to content
Start here

Initialize new SSO connector

client.IAM.SSO.New(ctx, params) (*SSONewResponse, error)
POST/accounts/{account_id}/sso_connectors

Initialize new SSO connector

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
SSO Connector Write
ParametersExpand Collapse
params SSONewParams
AccountID param.Field[string]

Path param: Account identifier tag.

maxLength32
minLength32
EmailDomain param.Field[string]

Body param: Email domain of the new SSO connector

BeginVerification param.Field[bool]optional

Body param: Begin the verification process after creation

UseFedrampLanguage param.Field[bool]optional

Body param: Controls the display of FedRAMP language to the user during SSO login

ReturnsExpand Collapse
type SSONewResponse struct{…}
ID stringoptional

SSO Connector identifier tag.

maxLength32
minLength32
CreatedOn Timeoptional

Timestamp for the creation of the SSO connector

formatdate-time
EmailDomain stringoptional
Enabled booloptional
UpdatedOn Timeoptional

Timestamp for the last update of the SSO connector

formatdate-time
UseFedrampLanguage booloptional

Controls the display of FedRAMP language to the user during SSO login

Verification SSONewResponseVerificationoptional
Code stringoptional

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

Status SSONewResponseVerificationStatusoptional

The status of the verification code from the verification process.

One of the following:
const SSONewResponseVerificationStatusAwaiting SSONewResponseVerificationStatus = "awaiting"
const SSONewResponseVerificationStatusPending SSONewResponseVerificationStatus = "pending"
const SSONewResponseVerificationStatusFailed SSONewResponseVerificationStatus = "failed"
const SSONewResponseVerificationStatusVerified SSONewResponseVerificationStatus = "verified"

Initialize new SSO connector

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/iam"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  sso, err := client.IAM.SSO.New(context.TODO(), iam.SSONewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    EmailDomain: cloudflare.F("example.com"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", sso.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}